import 'dart:html';
import 'dart:ui' as ui;
import 'package:flutter/material.dart';

class IframeView extends StatefulWidget {
  ///Iframe initial Link

  final String link;

  ///Iframe Border Lines default Border is none
  ///types of borders-dotted,dashed,solid,hidden,none
  final String border;

  ///request fullscreen mode
  final bool fullscreen;

  ///allow payment through this iframe
  final bool allowPaymentRequest;

  const IframeView(
      {Key key,
      this.link,
      this.border,
      this.fullscreen,
      this.allowPaymentRequest})
      : super(key: key);

  @override
  _IframeViewState createState() => _IframeViewState();
}

class _IframeViewState extends State<IframeView> {
  @override
  Widget build(BuildContext context) {
    //register view factory
    ui.platformViewRegistry.registerViewFactory(widget.link, (int viewId) {
      IFrameElement element = IFrameElement();
      widget.fullscreen == true ? element.requestFullscreen() : print('');
      element.src = widget.link;
      element.allowPaymentRequest =
          widget.allowPaymentRequest == true ? true : false;
      element.style.border = widget.border == null ? 'none' : widget.border;
      
    
      return element;
    });
    return HtmlElementView(viewType: widget.link);
  }
}
